Bug 993265 - amd/ati catalyst 13.8 beta / box halts
amd/ati catalyst 13.8 beta / box halts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 14:13 EDT by Arne Woerner
Modified: 2013-08-09 10:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 10:09:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arne Woerner 2013-08-05 14:13:42 EDT
Description of problem:
With kernel >=3.10 and catalyst 13.8 beta my box worked fine.
But since yesterday's xorg-x11-server update (e. g. xorg-x11-server-Xorg-1.14.2-9.fc19.x86_64) my box halts from time to time. It then repeats the last second of audio again and again and the mouse pointer doesnt move and the screens show what they showed before the halt. Sometimes it halts again some minutes after a fresh boot.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.14.2-9.fc19.x86_64
kernel 3.10.4-300.fc19.x86_64
AMD APU A10-5800K (contains AMD Radeon HD 7660D graphix)

How reproducible:
in the last 13 hours once.

Steps to Reproduce:
1. reboot
2. wait (no much CPU load necessary)
3. twice I was using gschem (e. g. copy&paste) when it halted

Actual results:
the box freezes.

Expected results:
the box should just work.

Additional info:
1. the ambient air is about 32°C (== 90°F == 305K)
2. the fans r blowing nicely (no temperature alert, which is set to 60°C)
3. the power supply seems to b ok, 2 (not "power good" would cause a reboot, i think)
4. could it b the new xorg-x11-server version? i cant undo that yum transaction... i dont know why...
Comment 1 Arne Woerner 2013-08-09 04:43:29 EDT
it became better... i dont know why... no crash for 2 days... -arne
Comment 2 Arne Woerner 2013-08-09 06:31:35 EDT
it happened again during trying to hibernate (the power did not go down and so i pressed the reset button after 8 minutes)...

in the begin of pm-hibernate it had multiple stack traces in syslog:
Aug  9 10:14:03 vaako kernel: [181569.522788] X: page allocation failure: order:5, mode:0x1040d0
Aug  9 10:14:03 vaako kernel: [181569.522794] CPU: 3 PID: 1149 Comm: X Tainted: PF          O 3.10.4-300.fc19.x86_64 #1
Aug  9 10:14:03 vaako kernel: [181569.522796] Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./F2A75M-D3H, BIOS F3 09/20/2012
Aug  9 10:14:03 vaako kernel: [181569.522797]  0000000000000000 ffff880231e23a78 ffffffff81643306 ffff880231e23b00
Aug  9 10:14:03 vaako kernel: [181569.522801]  ffffffff81133ad0 ffff88023efe8b00 0000000000000005 00000000001040d0
Aug  9 10:14:03 vaako kernel: [181569.522803]  ffff880231e23b00 ffffffff816407df ffff88023efe7d80 ffff880200000000
Aug  9 10:14:03 vaako kernel: [181569.522806] Call Trace:
Aug  9 10:14:03 vaako kernel: [181569.522813]  [<ffffffff81643306>] dump_stack+0x19/0x1b
Aug  9 10:14:03 vaako kernel: [181569.522817]  [<ffffffff81133ad0>] warn_alloc_failed+0xf0/0x160
Aug  9 10:14:03 vaako kernel: [181569.522820]  [<ffffffff816407df>] ? __alloc_pages_direct_compact+0x185/0x196
Aug  9 10:14:03 vaako kernel: [181569.522823]  [<ffffffff81137de5>] __alloc_pages_nodemask+0x825/0xa30
Aug  9 10:14:03 vaako kernel: [181569.522827]  [<ffffffff81173359>] alloc_pages_current+0xa9/0x170
Aug  9 10:14:03 vaako kernel: [181569.522829]  [<ffffffff811328b1>] __get_free_pages+0x21/0x70
Aug  9 10:14:03 vaako kernel: [181569.522832]  [<ffffffff8117cfee>] kmalloc_order_trace+0x2e/0xa0
Aug  9 10:14:03 vaako kernel: [181569.522834]  [<ffffffff8117f719>] __kmalloc+0x219/0x270
Aug  9 10:14:03 vaako kernel: [181569.522940]  [<ffffffffa0157323>] KCL_MEM_SmallBufferAlloc+0x13/0x20 [fglrx]
Aug  9 10:14:03 vaako kernel: [181569.522977]  [<ffffffffa015dfd3>] drm_alloc+0xc3/0x1a0 [fglrx]
Aug  9 10:14:03 vaako kernel: [181569.523023]  [<ffffffffa0195885>] ? firegl_cmmqs_get_RS_info+0xc5/0x280 [fglrx]
Aug  9 10:14:03 vaako kernel: [181569.523068]  [<ffffffffa019553e>] ? firegl_cmmqs_recoverable_surface_info+0x7e/0xc0 [fglrx]
Aug  9 10:14:03 vaako kernel: [181569.523107]  [<ffffffffa016d490>] ? firegl_run_CPDMA+0x230/0x230 [fglrx]
Aug  9 10:14:03 vaako kernel: [181569.523144]  [<ffffffffa016d53e>] ? firegl_get_fb_cmm_info+0xae/0x330 [fglrx]
Aug  9 10:14:03 vaako kernel: [181569.523181]  [<ffffffffa016d490>] ? firegl_run_CPDMA+0x230/0x230 [fglrx]
Aug  9 10:14:03 vaako kernel: [181569.523221]  [<ffffffffa016604d>] ? firegl_ioctl+0x1ed/0x250 [fglrx]
Aug  9 10:14:03 vaako kernel: [181569.523254]  [<ffffffffa01541de>] ? ip_firegl_unlocked_ioctl+0xe/0x20 [fglrx]
Aug  9 10:14:03 vaako kernel: [181569.523258]  [<ffffffff811a9435>] ? do_vfs_ioctl+0x305/0x520
Aug  9 10:14:03 vaako kernel: [181569.523261]  [<ffffffff8128ab5e>] ? file_has_perm+0x8e/0xa0
Aug  9 10:14:03 vaako kernel: [181569.523264]  [<ffffffff811a96d1>] ? SyS_ioctl+0x81/0xa0
Aug  9 10:14:03 vaako kernel: [181569.523266]  [<ffffffff81198139>] ? SyS_write+0x49/0xa0
Aug  9 10:14:03 vaako kernel: [181569.523270]  [<ffffffff81651919>] ? system_call_fastpath+0x16/0x1b
Aug  9 10:14:03 vaako kernel: [181569.523271] Mem-Info:
Aug  9 10:14:03 vaako kernel: [181569.523272] Node 0 DMA per-cpu:
Aug  9 10:14:03 vaako kernel: [181569.523274] CPU    0: hi:    0, btch:   1 usd:   0
Aug  9 10:14:03 vaako kernel: [181569.523275] CPU    1: hi:    0, btch:   1 usd:   0
Aug  9 10:14:03 vaako kernel: [181569.523276] CPU    2: hi:    0, btch:   1 usd:   0
Aug  9 10:14:03 vaako kernel: [181569.523277] CPU    3: hi:    0, btch:   1 usd:   0
Aug  9 10:14:03 vaako kernel: [181569.523278] Node 0 DMA32 per-cpu:
Aug  9 10:14:03 vaako kernel: [181569.523280] CPU    0: hi:  186, btch:  31 usd: 157
Aug  9 10:14:03 vaako kernel: [181569.523281] CPU    1: hi:  186, btch:  31 usd:   0
Aug  9 10:14:03 vaako kernel: [181569.523282] CPU    2: hi:  186, btch:  31 usd:   0
Aug  9 10:14:03 vaako kernel: [181569.523283] CPU    3: hi:  186, btch:  31 usd:   0
Aug  9 10:14:03 vaako kernel: [181569.523284] Node 0 Normal per-cpu:
Aug  9 10:14:03 vaako kernel: [181569.523285] CPU    0: hi:  186, btch:  31 usd: 180
Aug  9 10:14:03 vaako kernel: [181569.523286] CPU    1: hi:  186, btch:  31 usd:   0
Aug  9 10:14:03 vaako kernel: [181569.523287] CPU    2: hi:  186, btch:  31 usd:   0
Aug  9 10:14:03 vaako kernel: [181569.523288] CPU    3: hi:  186, btch:  31 usd:   0
Aug  9 10:14:03 vaako kernel: [181569.523290] active_anon:77762 inactive_anon:203602 isolated_anon:0
Aug  9 10:14:03 vaako kernel: [181569.523290]  active_file:366405 inactive_file:626338 isolated_file:0
Aug  9 10:14:03 vaako kernel: [181569.523290]  unevictable:0 dirty:1 writeback:50 unstable:0
Aug  9 10:14:03 vaako kernel: [181569.523290]  free:38828 slab_reclaimable:77481 slab_unreclaimable:15924
Aug  9 10:14:03 vaako kernel: [181569.523290]  mapped:64527 shmem:5913 pagetables:10493 bounce:0
Aug  9 10:14:03 vaako kernel: [181569.523290]  free_cma:0
Aug  9 10:14:03 vaako kernel: [181569.523293] Node 0 DMA free:15904kB min:140kB low:172kB high:208kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB isolated(anon):0kB isolated(file):0kB present:15996kB managed:15904kB mlocked:0kB dirty:0kB writeback:0kB mapped:0kB shmem:0kB slab_reclaimable:0kB slab_unreclaimable:0kB kernel_stack:0kB pagetables:0kB unstable:0kB bounce:0kB free_cma:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? yes
Aug  9 10:14:03 vaako kernel: [181569.523297] lowmem_reserve[]: 0 2372 7355 7355
Aug  9 10:14:03 vaako kernel: [181569.523299] Node 0 DMA32 free:71888kB min:21752kB low:27188kB high:32628kB active_anon:80348kB inactive_anon:298376kB active_file:189252kB inactive_file:1033280kB unevictable:0kB isolated(anon):0kB isolated(file):0kB present:2585112kB managed:2429228kB mlocked:0kB dirty:0kB writeback:60kB mapped:30156kB shmem:7108kB slab_reclaimable:88004kB slab_unreclaimable:10736kB kernel_stack:344kB pagetables:5596kB unstable:0kB bounce:0kB free_cma:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
Aug  9 10:14:03 vaako kernel: [181569.523302] lowmem_reserve[]: 0 0 4982 4982
Aug  9 10:14:03 vaako kernel: [181569.523304] Node 0 Normal free:67520kB min:45688kB low:57108kB high:68532kB active_anon:230700kB inactive_anon:516032kB active_file:1276368kB inactive_file:1472072kB unevictable:0kB isolated(anon):0kB isolated(file):0kB present:5226492kB managed:5102424kB mlocked:0kB dirty:4kB writeback:140kB mapped:227952kB shmem:16544kB slab_reclaimable:221920kB slab_unreclaimable:52960kB kernel_stack:3424kB pagetables:36376kB unstable:0kB bounce:0kB free_cma:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
Aug  9 10:14:03 vaako kernel: [181569.523307] lowmem_reserve[]: 0 0 0 0
Aug  9 10:14:03 vaako kernel: [181569.523309] Node 0 DMA: 0*4kB 0*8kB 0*16kB 1*32kB (U) 2*64kB (U) 1*128kB (U) 1*256kB (U) 0*512kB 1*1024kB (U) 1*2048kB (R) 3*4096kB (M) = 15904kB
Aug  9 10:14:03 vaako kernel: [181569.523317] Node 0 DMA32: 3293*4kB (UEMR) 1646*8kB (UEMR) 441*16kB (UEMR) 334*32kB (UEMR) 439*64kB (UEMR) 0*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 72180kB
Aug  9 10:14:03 vaako kernel: [181569.523323] Node 0 Normal: 5991*4kB (UEM) 3145*8kB (UEM) 698*16kB (UEM) 157*32kB (UEM) 41*64kB (EM) 0*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 67940kB
Aug  9 10:14:03 vaako kernel: [181569.523331] Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=2048kB
Aug  9 10:14:03 vaako kernel: [181569.523332] 1056151 total pagecache pages
Aug  9 10:14:03 vaako kernel: [181569.523333] 57446 pages in swap cache
Aug  9 10:14:03 vaako kernel: [181569.523335] Swap cache stats: add 964513, delete 907067, find 800256/838437
Aug  9 10:14:03 vaako kernel: [181569.523335] Free swap  = 7766040kB
Aug  9 10:14:03 vaako kernel: [181569.523336] Total swap = 8286204kB
Aug  9 10:14:04 vaako kernel: [181569.546319] 1961983 pages RAM
Aug  9 10:14:04 vaako kernel: [181569.546322] 505495 pages reserved
Aug  9 10:14:04 vaako kernel: [181569.546323] 1581205 pages shared
Aug  9 10:14:04 vaako kernel: [181569.546324] 933089 pages non-shared
Aug  9 10:14:04 vaako kernel: [181569.546329] KBD BUG in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/cmmqs_wrap.c at line: 1083!
Aug  9 10:14:04 vaako kernel: [181569.546330] KBD BUG in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/cmmqs_wrap.c at line: 1084!
Aug  9 10:14:04 vaako kernel: [181569.546344] BUG: unable to handle kernel NULL pointer dereference at 0000000000000018
Aug  9 10:14:04 vaako kernel: [181569.546347] IP: [<ffffffffa0195993>] firegl_cmmqs_get_RS_info+0x1d3/0x280 [fglrx]
Aug  9 10:14:04 vaako kernel: [181569.546414] PGD 2277c8067 PUD 2323ed067 PMD 0 
Aug  9 10:14:04 vaako kernel: [181569.546417] Oops: 0002 [#1] SMP 
Aug  9 10:14:04 vaako kernel: [181569.546420] Modules linked in: binfmt_misc fuse bnep bluetooth rfkill rpcsec_gss_krb5 nfsv4 nfs dns_resolver fscache xt_LOG nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack_tftp ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_conntrack nf_conntrack ip6table_filter ip6_tables it87 hwmon_vid vfat fat acpi_cpufreq mperf kvm_amd kvm crc32_pclmul crc32c_intel ghash_clmulni_intel snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm fglrx(POF) amd_iommu_v2 r8169 mii microcode snd_page_alloc snd_timer snd i2c_piix4 i2c_core soundcore nfsd auth_rpcgss nfs_acl lockd sunrpc uinput [last unloaded: k10temp]
Aug  9 10:14:04 vaako kernel: [181569.546443] CPU: 3 PID: 1149 Comm: X Tainted: PF          O 3.10.4-300.fc19.x86_64 #1
Aug  9 10:14:04 vaako kernel: [181569.546444] Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./F2A75M-D3H, BIOS F3 09/20/2012
Aug  9 10:14:04 vaako kernel: [181569.546445] task: ffff8802320b3560 ti: ffff880231e22000 task.ti: ffff880231e22000
Aug  9 10:14:04 vaako kernel: [181569.546447] RIP: 0010:[<ffffffffa0195993>]  [<ffffffffa0195993>] firegl_cmmqs_get_RS_info+0x1d3/0x280 [fglrx]
Aug  9 10:14:04 vaako kernel: [181569.546491] RSP: 0018:ffff880231e23d70  EFLAGS: 00010256
Aug  9 10:14:04 vaako kernel: [181569.546492] RAX: ffff88011cf1fc01 RBX: ffff880232c60000 RCX: ffffc90014ec5008
Aug  9 10:14:04 vaako kernel: [181569.546493] RDX: 0000000000000000 RSI: 0000000000000000 RDI: 0000000000000000
Aug  9 10:14:04 vaako kernel: [181569.546494] RBP: ffff88004b03d608 R08: 0000000000000008 R09: 000000000fb7b000
Aug  9 10:14:04 vaako kernel: [181569.546495] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
Aug  9 10:14:04 vaako kernel: [181569.546496] R13: 0000000000000000 R14: 0000000000000000 R15: 000000000001dad8
Aug  9 10:14:04 vaako kernel: [181569.546497] FS:  00007f7737540980(0000) GS:ffff88023ed80000(0000) knlGS:0000000000000000
Aug  9 10:14:04 vaako kernel: [181569.546499] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Aug  9 10:14:04 vaako kernel: [181569.546500] CR2: 0000000000000018 CR3: 00000002323fb000 CR4: 00000000000407e0
Aug  9 10:14:04 vaako kernel: [181569.546501] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug  9 10:14:04 vaako kernel: [181569.546502] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug  9 10:14:04 vaako kernel: [181569.546503] Stack:
Aug  9 10:14:04 vaako kernel: [181569.546504]  0000000000000000 ffff880232c60000 0000000000000000 0000000000000000
Aug  9 10:14:04 vaako kernel: [181569.546506]  ffff880232c60000 00000000c0106492 ffff880230f31b00 ffffffffa019553e
Aug  9 10:14:04 vaako kernel: [181569.546508]  ffff880232c60000 0000000000000db0 ffffffffa016d490 ffffffffa016d53e
Aug  9 10:14:04 vaako kernel: [181569.546510] Call Trace:
Aug  9 10:14:04 vaako kernel: [181569.546564]  [<ffffffffa019553e>] ? firegl_cmmqs_recoverable_surface_info+0x7e/0xc0 [fglrx]
Aug  9 10:14:04 vaako kernel: [181569.546609]  [<ffffffffa016d490>] ? firegl_run_CPDMA+0x230/0x230 [fglrx]
Aug  9 10:14:04 vaako kernel: [181569.546652]  [<ffffffffa016d53e>] ? firegl_get_fb_cmm_info+0xae/0x330 [fglrx]
Aug  9 10:14:04 vaako kernel: [181569.546693]  [<ffffffffa016d490>] ? firegl_run_CPDMA+0x230/0x230 [fglrx]
Aug  9 10:14:04 vaako kernel: [181569.546729]  [<ffffffffa016604d>] ? firegl_ioctl+0x1ed/0x250 [fglrx]
Aug  9 10:14:04 vaako kernel: [181569.546762]  [<ffffffffa01541de>] ? ip_firegl_unlocked_ioctl+0xe/0x20 [fglrx]
Aug  9 10:14:04 vaako kernel: [181569.546767]  [<ffffffff811a9435>] ? do_vfs_ioctl+0x305/0x520
Aug  9 10:14:04 vaako kernel: [181569.546769]  [<ffffffff8128ab5e>] ? file_has_perm+0x8e/0xa0
Aug  9 10:14:04 vaako kernel: [181569.546772]  [<ffffffff811a96d1>] ? SyS_ioctl+0x81/0xa0
Aug  9 10:14:04 vaako kernel: [181569.546774]  [<ffffffff81198139>] ? SyS_write+0x49/0xa0
Aug  9 10:14:04 vaako kernel: [181569.546777]  [<ffffffff81651919>] ? system_call_fastpath+0x16/0x1b
Aug  9 10:14:04 vaako kernel: [181569.546778] Code: 7c 39 10 00 74 b3 f6 44 39 28 01 74 36 44 89 e2 4c 8d 14 92 4b 83 4c d0 20 04 48 8b 4d 18 4c 8b 4c 39 08 4c 8d 1c 92 49 c1 e3 03 <4f> 89 4c 18 10 4c 8b 7d 18 49 8b 4c 3f 10 4b 89 4c 18 18 e9 70 
Aug  9 10:14:04 vaako kernel: [181569.546797] RIP  [<ffffffffa0195993>] firegl_cmmqs_get_RS_info+0x1d3/0x280 [fglrx]
Aug  9 10:14:04 vaako kernel: [181569.546839]  RSP <ffff880231e23d70>
Aug  9 10:14:04 vaako kernel: [181569.546840] CR2: 0000000000000018
Aug  9 10:14:04 vaako kernel: [181569.546861] ---[ end trace 39dc1232f7b69eae ]---

-arne
Comment 3 Jérôme Glisse 2013-08-09 10:09:25 EDT
Closed source driver nothing we can do about it. How can we fix something we don't have the source for ?

Note You need to log in before you can comment on or make changes to this bug.